<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>vlkb</groupId>
  <artifactId>vlkb-soda</artifactId>
  <packaging>war</packaging>
  <version>x.y.z</version>
  <name>SODA webapp</name>
  <url>http://maven.apache.org</url>

  <properties>
          <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
          <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
          <maven.compiler.source>17</maven.compiler.source>
          <maven.compiler.target>17</maven.compiler.target>
  </properties>


  <dependencies>

          <!-- https://mvnrepository.com/artifact/javax.servlet/javax.servlet-api -->
          <dependency>
                  <groupId>javax.servlet</groupId>
                  <artifactId>javax.servlet-api</artifactId>
                  <version>3.1.0</version>
                  <scope>provided</scope>
          </dependency>

          <!-- https://mvnrepository.com/artifact/org.apache.commons/commons-compress -->
          <dependency>
                  <groupId>org.apache.commons</groupId>
                  <artifactId>commons-compress</artifactId>
                  <version>1.26.2</version>
          </dependency>

          <!-- https://mvnrepository.com/artifact/com.opencsv/opencsv -->
          <dependency>
                  <groupId>com.opencsv</groupId>
                  <artifactId>opencsv</artifactId>
                  <version>5.7.1</version>
          </dependency>

          <!-- https://mvnrepository.com/artifact/com.rabbitmq/amqp-client -->
          <dependency>
                  <groupId>com.rabbitmq</groupId>
                  <artifactId>amqp-client</artifactId>
                  <version>3.6.6</version>
          </dependency>

          <!-- dependency>
                  <groupId>uk.ac.starlink</groupId>
                  <artifactId>stil</artifactId>
                  <version>4.3</version>
          </dependency -->

          <!-- vlkb-volib and its dependencies -->

          <dependency>
                  <groupId>vo</groupId>
                  <artifactId>uws</artifactId>
                  <version>4.4</version>
          </dependency>


          <dependency>
                  <groupId>vo</groupId>
                  <artifactId>vlkb-volib</artifactId>
                  <version>0.9.8</version>
          </dependency>

          <!-- dependency>
                  <groupId>auth</groupId>
                  <artifactId>vlkb-auth</artifactId>
                  <version>0.1-SNAPSHOT</version>
          </dependency -->

          <!-- needed in Regrid for merge -->
          <dependency>
                  <groupId>nom</groupId>
                  <artifactId>tam-fits</artifactId>
                  <version>1.0</version>
          </dependency>

          <dependency>
                  <groupId>com.googlecode.json-simple</groupId>
                  <artifactId>json-simple</artifactId>
                  <version>1.1.1</version>
          </dependency>

          <dependency>
                  <groupId>junit</groupId>
                  <artifactId>junit</artifactId>
                  <version>3.8.1</version>
                  <scope>test</scope>
          </dependency>


          <!-- auth dependencies (mostly caused by jjwt lib) -->

          <!-- https://mvnrepository.com/artifact/io.jsonwebtoken/jjwt-api -->
          <dependency>
                  <groupId>io.jsonwebtoken</groupId>
                  <artifactId>jjwt-api</artifactId>
                  <version>0.11.2</version>
          </dependency>
          <!-- https://mvnrepository.com/artifact/io.jsonwebtoken/jjwt-api -->
          <dependency>
                  <groupId>io.jsonwebtoken</groupId>
                  <artifactId>jjwt-impl</artifactId>
                  <version>0.11.2</version>
                  <scope>runtime</scope>
          </dependency>

          <!-- https://mvnrepository.com/artifact/io.jsonwebtoken/jjwt-jackson -->
          <dependency>
                  <groupId>io.jsonwebtoken</groupId>
                  <artifactId>jjwt-jackson</artifactId>
                  <version>0.11.2</version>
                  <scope>runtime</scope>
          </dependency>

          <dependency>
                  <groupId>com.fasterxml.jackson.core</groupId>
                  <artifactId>jackson-core</artifactId>
                  <version>2.9.10</version>
          </dependency>
          <!-- https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-annotations -->
          <dependency>
                  <groupId>com.fasterxml.jackson.core</groupId>
                  <artifactId>jackson-annotations</artifactId>
                  <version>2.9.10</version>
          </dependency>
          <!-- https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-databind -->
          <dependency>
                  <groupId>com.fasterxml.jackson.core</groupId>
                  <artifactId>jackson-databind</artifactId>
                  <version>2.9.10</version>
          </dependency>
          <!-- https://mvnrepository.com/artifact/jakarta.xml.bind/jakarta.xml.bind-api -->
          <dependency>
                  <groupId>jakarta.xml.bind</groupId>
                  <artifactId>jakarta.xml.bind-api</artifactId>
                  <version>2.3.2</version>
          </dependency>

          <!-- https://mvnrepository.com/artifact/org.slf4j/slf4j-api -->
          <dependency>
                  <groupId>org.slf4j</groupId>
                  <artifactId>slf4j-api</artifactId>
                  <version>1.7.36</version>
          </dependency>
          <!-- https://mvnrepository.com/artifact/org.slf4j/slf4j-simple -->
          <dependency>
                  <groupId>org.slf4j</groupId>
                  <artifactId>slf4j-simple</artifactId>
                  <version>1.7.36</version>
          </dependency>

          <!-- https://mvnrepository.com/artifact/ch.qos.logback/logback-classic -->
          <!-- dependency>
                  <groupId>ch.qos.logback</groupId>
                  <artifactId>logback-classic</artifactId>
                  <version>1.4.7</version>
                  <scope>test</scope>
          </dependency -->
          <!-- https://mvnrepository.com/artifact/ch.qos.logback/logback-core -->
          <!-- dependency>
                  <groupId>ch.qos.logback</groupId>
                  <artifactId>logback-core</artifactId>
                  <version>1.4.7</version>
          </dependency -->

          <!-- https://mvnrepository.com/artifact/org.cache2k/cache2k-api -->
          <dependency>
                  <groupId>org.cache2k</groupId>
                  <artifactId>cache2k-api</artifactId>
                  <version>1.2.4.Final</version>
          </dependency>
          <!-- https://mvnrepository.com/artifact/org.cache2k/cache2k-core -->
          <dependency>
                  <groupId>org.cache2k</groupId>
                  <artifactId>cache2k-core</artifactId>
                  <version>1.2.4.Final</version>
          </dependency>

          <!-- IA2 local -->
          <dependency>
                  <groupId>auth</groupId>
                  <artifactId>auth-lib</artifactId>
                  <version>2.0.0-SNAPSHOT</version>
          </dependency>
          <dependency>
                  <groupId>auth</groupId>
                  <artifactId>rap-client</artifactId>
                  <version>1.0-SNAPSHOT</version>
          </dependency>



  </dependencies>



  <build>
          <finalName>${project.artifactId}-${git.buildnumber}</finalName>
          <plugins>
                  <plugin>
                          <groupId>ru.concerteza.buildnumber</groupId>
                          <artifactId>maven-jgit-buildnumber-plugin</artifactId>
                          <version>1.2.7</version>
                          <executions>
                                  <execution>
                                          <id>git-buildnumber</id>
                                          <goals>
                                                  <goal>extract-buildnumber</goal>
                                          </goals>
                                          <phase>prepare-package</phase>
                                  </execution>
                          </executions>
                  </plugin>
                  <plugin>
                          <artifactId>maven-war-plugin</artifactId>
                          <version>3.3.2</version>
                  </plugin>
                  <plugin>
                          <artifactId>maven-compiler-plugin</artifactId>
                          <version>3.8.1</version>
                          <configuration>
                                  <!-- verbose>true</verbose -->
                          <fork>true</fork>
                          <executable>/etc/alternatives/javac</executable>
                          <compilerArgument>-Xlint:unchecked</compilerArgument>
                  </configuration>
          </plugin>

  </plugins>
  </build>

</project>
